Package be.ehealth.businessconnector.genericasync.helper

# Interface CommonAsyncService

All Known Subinterfaces:
  `AgreementService`, `MedAdminService`, `MemberDataService`

All Known Implementing Classes:
  `AgreementServiceImpl`, `DefaultCommonAsyncService`, `MedadminServiceImpl`, `MemberDataIrisCareNetService`, `MemberDataServiceImpl`, `MemberDataWalCareNetService`

public interface CommonAsyncService
Interface for common generic asynchrounous service operations and validation methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfirmResponse`
  `confirmAll(ProcessedGetResponse getResponse)`
  `ConfirmResponse`
  `confirmAllMessages(ProcessedGetResponse getResponse)`
  `ConfirmResponse`
  `confirmAllTAcks(ProcessedGetResponse getResponse)`
  `ConfirmResponse`
  `confirmMessage(ProcessedMsgResponse msgResponse)`
  `ConfirmResponse`
  `confirmTAck(ProcessedTAckResponse tAckResponse)`
  `SignatureVerificationResult`
  `validateXadesTWithManifest(TAckResponse tAckResponse, Blob postedBlob, byte[] xadesT)`
  Method to validate asynchrounously the signature of a tack response against the original posted blob.

- ## Method Details

  - ### confirmAll

    ConfirmResponse confirmAll(ProcessedGetResponse getResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmAllTAcks

    ConfirmResponse confirmAllTAcks(ProcessedGetResponse getResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmAllMessages

    ConfirmResponse confirmAllMessages(ProcessedGetResponse getResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmTAck

    ConfirmResponse confirmTAck(ProcessedTAckResponse tAckResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmMessage

    ConfirmResponse confirmMessage(ProcessedMsgResponse msgResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### validateXadesTWithManifest

    SignatureVerificationResult validateXadesTWithManifest(TAckResponse tAckResponse, Blob postedBlob, byte[] xadesT) throws GenAsyncBusinessConnectorException
    Method to validate asynchrounously the signature of a tack response against the original posted blob.
    Parameters:
      `tAckResponse` - the signed tack response
      `postedBlob` - the blob posted as the the original request. The signature must contain a manifest linked to this blob
      `xadesT` - the signature to be verified
    Returns:
    Throws:
      `GenAsyncBusinessConnectorException`